#ifndef __PORT_H__
#define __PORT_H__

#include "typedefine.h"

//-------------------------------------------------------------------------------
// s@\ɒu
//-------------------------------------------------------------------------------
									// pin  1	VREF
									// pin  2	MODE
									// pin  3	RESET
#define	POUT_XOUT			p4_7	// pin  4	XCOUT	4MHz
									// pin  5	VSS
#define	PIN_XIN				p4_6	// pin  6	XCIN	4MHz
									// pin  7	VCC
#define	POUT_SDA			p3_7	// pin  8	I2C		SDA(\)
#define	POUT_SCL			p3_5	// pin  9	I2C		SCL(\)
//#define	POUT_LED_TURBO		p3_4	// pin 10	LED			^[{
//#define	POUT_LED_HIGH		p3_3	// pin 11	LED			
//#define	POUT_LED_LOW		p2_2	// pin 12	LED			
//#define POUT_LED_HOT		p2_1	// pin 13	LED			HOT	
//#define	POUT_LED_COOL		p2_0	// pin 14	LED			COOL
//#define POUT_PELTIER_PWM	p3_1	// pin 15	LED		y`FPWMMo		
//#define	POUT_PCI_POWER		p4_5	// pin 16	IO		PCI_ON/OFF
//#define	PIN_FAN_GET_RPM		p1_7	// pin 17	IO		t@]M
//#define	PIN_THRM_IN			p1_6	// pin 18	IO		T[X^bg
#define	PIN_RXD0			p1_5	// pin 19	RXD0	UART
#define	POUT_TXD0			p1_4	// pin 20	TXD0		UART
//#define	PIN_SW_COOL			p1_3	// pin 21	SW		COOL
#define	POUT_LED_RED		p1_2	// pin 22	LED		
#define	POUT_LED_GREEN		p1_1	// pin 23	LED		
#define	POUT_LED_BLUE		p1_0	// pin 24	LED		
//#define	POUT_PELTIER_CHK	p0_7	// pin 25	IO		xmFo
#define	PIN_TEMP_AD1		p0_6	// pin 26	AN1		xZT[
#define	PIN_ILLUMI_AD2		p0_5	// pin 27	AN2		ƓxZT[
//#define	PIN_TEMP_AD3		p0_4	// pin 28	AN3		T[~X^
//#define	POUT_PELTIER_PWM	p0_3	// pin 29		open
//#define	POUT_PELTIER_POWER	p0_2	// pin 30	IO		y`FON/OFF
//#define	POUT_DEBUG_Tx		p0_1	// pin 31	IO		PCI_OUT / Tx(\)
//#define	POUT_PELTIER_FLIP	p0_0	// pin 32	IO		y`F]

// }CRӋ@\WX^(o͌n)
#define PIN_AD1				ad1//ADlWX^`
#define PIN_AD2				ad2//ADlWX^`
#define PIN_AD3				ad3//ADlWX^`


void port_init(void);
void port_start(void);

#endif